import type { AutoScrollOptions } from '../../hooks/utilities';
import type { SensorDescriptor } from '../../sensors';
import { type CollisionDetection } from '../../utilities';
import { type Modifiers } from '../../modifiers';
import type { DragStartEvent, DragCancelEvent, DragEndEvent, DragMoveEvent, DragOverEvent } from '../../types';
import { type Announcements, type ScreenReaderInstructions } from '../Accessibility';
import type { MeasuringConfiguration } from './types';
import { type ComponentObjectPropsOptions } from 'vue';
export interface Props {
    id?: string;
    accessibility?: {
        announcements?: Announcements;
        container?: Element;
        restoreFocus?: boolean;
        screenReaderInstructions?: ScreenReaderInstructions;
    };
    autoScroll?: boolean | AutoScrollOptions;
    cancelDrop?: CancelDrop;
    collisionDetection?: CollisionDetection;
    measuring?: MeasuringConfiguration;
    modifiers?: Modifiers;
    sensors?: SensorDescriptor<any>[];
    onDragStart?(event: DragStartEvent): void;
    onDragMove?(event: DragMoveEvent): void;
    onDragOver?(event: DragOverEvent): void;
    onDragEnd?(event: DragEndEvent): void;
    onDragCancel?(event: DragCancelEvent): void;
}
export interface CancelDropArguments extends DragEndEvent {
}
export type CancelDrop = (args: CancelDropArguments) => boolean | Promise<boolean>;
export declare const ActiveDraggableContext: {
    Provider: import("vue").DefineSetupFnComponent<{
        value: import("@dnd-kit-vue/utilities").Transform;
    }, {}, {}, {
        value: import("@dnd-kit-vue/utilities").Transform;
    } & {}, import("vue").PublicProps>;
};
export declare const vuePropsType: ComponentObjectPropsOptions<Props>;
declare const DndContext: import("vue").DefineSetupFnComponent<Props, {}, {}, Props & {}, import("vue").PublicProps>;
export { DndContext };
