import type { DroppableContainer } from '../../store/types';
import type { ClientRect, UniqueIdentifier } from '../../types';
import { type ComputedRef, Ref } from 'vue';
interface Arguments {
    dragging: boolean;
    dependencies: any[];
    config: DroppableMeasuring;
}
export declare enum MeasuringStrategy {
    Always = 0,
    BeforeDragging = 1,
    WhileDragging = 2
}
export declare enum MeasuringFrequency {
    Optimized = "optimized"
}
type MeasuringFunction = (element: HTMLElement) => ClientRect;
export interface DroppableMeasuring {
    measure: MeasuringFunction;
    strategy: MeasuringStrategy;
    frequency: MeasuringFrequency | number;
}
export declare function useDroppableMeasuring(containers: ComputedRef<DroppableContainer[]>, arg: Ref<Arguments>): {
    droppableRects: import("vue").ShallowRef;
    measureDroppableContainers: ComputedRef<(ids?: UniqueIdentifier[]) => UniqueIdentifier[]>;
    measuringScheduled: ComputedRef<boolean>;
};
export {};
